org.gradle.plugins.javascript.envjs.http.simple

## Class SimpleHttpFileServerFactory

- java.lang.Object
- - org.gradle.plugins.javascript.envjs.http.simple.SimpleHttpFileServerFactory

- All Implemented Interfaces:
    HttpFileServerFactory

      public class SimpleHttpFileServerFactory
      extends Object
      implements HttpFileServerFactory

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleHttpFileServerFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `HttpFileServer` | `start(File contentRoot, int port)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleHttpFileServerFactory

          public SimpleHttpFileServerFactory()

  - ### Method Detail

    - #### start

          public HttpFileServer start(File contentRoot,
                             int port)

      Specified by:
        `start` in interface `HttpFileServerFactory`